import {postAction,downFilePost} from '@/api/manage'
const prefix = '/manager/ciop/';

//订单
let orderList = (params) => postAction(prefix + "order/list" , params);
let download = (params) => downFilePost(prefix + "order/download" , params);

// 更新订单信息
let updateSendType = (params) => postAction(prefix + "order/updateSendType", params);
let updateIccid = (params) => postAction(prefix + "order/updateIccid", params);

// 宽带订单
let broadBandList = (params) => postAction(prefix + "order/broadBandOrder", params);

//返回订单历史状态
let selectOrderHis = (params) => postAction(prefix +"order/selectOrderHis" , params);
let reviewStudentIdCard = (params) => postAction(prefix +"order/reviewStudentIdCard" , params);
let abnormal = (params) => postAction(prefix +"order/setAbnormal" , params);
let downloadMoBan = (params) => downFilePost(prefix + "order/downloadMoBan" , params);
let downloadMoBanKD = (params) => downFilePost(prefix + "order/downloadMoBanKD" , params);
let downloadMoBanYZK = (params) => downFilePost(prefix + "order/downloadMoBanYZK" , params);
let downloadMoBanPackageOrder = (params) => downFilePost(prefix + "order/downloadMoBanPackageOrder" , params);

let editOrder = (params) => postAction(prefix + "order/editOrder" , params);
let setUpgradeStatus = (params) => postAction(prefix +"order/setUpgradeStatus" , params);
let setKuanDiData = (params) => postAction(prefix +"order/setKuanDiData" , params);

//报表
let reportList = (params) => postAction(prefix + "order/getHhrOrderInfo",params);
let reportDownload = (params) => downFilePost(prefix + "order/outputHhrOrder",params);



export {
    orderList,
    broadBandList,
    download,
    selectOrderHis,
    abnormal,
    downloadMoBan,
    downloadMoBanKD,
    downloadMoBanYZK,
    downloadMoBanPackageOrder,
    reportList,
    reviewStudentIdCard,
    reportDownload,
    editOrder,
    updateSendType,
    updateIccid,
    setUpgradeStatus,
    setKuanDiData
}
